#define WIN32_LEAN_AND_MEAN
#include "Server.h"
#include <iostream>


///	\brief	specify a function object to interpret the console commands typed
///	
///
struct OnRecieveString 
{
	bool operator()(std::string s)
	{
		//	check for quit command
		if( s == "quit" )
		{
			std::exit(0);
		}
		else
		{
			//	give some info
			std::cout << "> \"" << s << "\"\n> ";
			
			//	send a message to all the clients
			CServer::TellAll( s );
		}
		return true;
	}
};

///	\brief	main
///
void main()
{
	///	templates are good! M'kay!
	///
	RunServerConsole< OnRecieveString >();
}