


#define WIN32_LEAN_AND_MEAN
#include "CMessageClient.h"

struct GetConnectionInfo
{
	bool operator()( std::string &server, std::string &user )
	{
		//	get connection info
		std::cout << "> Please Enter server name [use . for local]\n> ";
		std::cin >> server;
		std::cout << "> Please Enter user name\n> ";
		std::cin >> user; 
	
		//	connect to server
		return CMessageClient::Connect(user,server);
	}
};

struct ProcessCommandLine
{
	bool operator()( const std::string usertext )
	{			
		if( usertext == "quit" )
		{
			CMessageClient::Disconnect();
			return false;
		}
	
		//	connect to server
		return CMessageClient::SendText(usertext,"all");
	}
};


int main()
{
	RunClientConsole< GetConnectionInfo, ProcessCommandLine >();
	return 0;
}